Update a credit note

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

credit_note_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
based_onstringOptionalformat: "uuid"
ID of the payable this credit note is based on. The credit note will be linked to this payable
based_on_document_idstringOptional<=255 characters
The document ID of the original payable
counterpart_address_idstringOptionalformat: "uuid"
ID of the counterpart's address
counterpart_bank_account_idstringOptionalformat: "uuid"
ID of the counterpart's bank account
counterpart_idstringOptionalformat: "uuid"
ID of the counterpart
counterpart_vat_id_idstringOptionalformat: "uuid"
ID of the counterpart's VAT registration
currencyenumOptional
The currency code of the credit note
descriptionstringOptional<=255 characters
An arbitrary description of this credit note
document_idstringOptional<=255 characters
A unique credit note number assigned by the credit note issuer for tracking purposes
issued_atstringOptionalformat: "date"

The date when the credit note was issued, in the YYYY-MM-DD format

project_idstringOptionalformat: "uuid"
The ID of the project this credit note belongs to
senderstringOptional<=255 characters
Email address of the sender
subtotalintegerOptional>=0
The subtotal amount before taxes
tag_idslist of stringsOptional
List of tag IDs associated with this credit note
taxintegerOptional0-10000
The tax percentage applied to the subtotal
tax_amountintegerOptional>=0
The calculated tax amount
total_amountintegerOptional>=0
The total amount including taxes

Response

Successful Response
idstringformat: "uuid"
The unique identifier of the credit note
created_atdatetime
Date and time when the credit note was created in the system
updated_atdatetime
Date and time of the last update to the credit note
entity_idstringformat: "uuid"
The ID of the entity to which the credit note belongs
originstring<=128 characters
The origin or source system of the credit note
source_of_datastring<=128 characters

How the data was input (ocr/user_specified)

statusstring<=30 characters
The current status of the credit note in its lifecycle
based_onstringOptionalformat: "uuid"
ID of the payable this credit note is based on
based_on_document_idstringOptional<=255 characters
The document ID of the original payable that this credit note refers to
counterpartobjectOptional

Object representing de-normalized counterpart data

counterpart_address_idstringOptionalformat: "uuid"
ID of the counterpart's address
counterpart_bank_account_idstringOptionalformat: "uuid"
ID of the counterpart's bank account
counterpart_idstringOptionalformat: "uuid"
ID of the counterpart
counterpart_rawobjectOptional
Object representing counterpart data which was extracted by OCR. Used for informational purposes.
counterpart_vat_id_idstringOptionalformat: "uuid"
ID of the counterpart's VAT registration
created_by_external_user_idstringOptional<=255 characters
External system's user ID for the creator
created_by_external_user_namestringOptional<=255 characters
Name of the external user who created the credit note
created_by_user_idstringOptionalformat: "uuid"
ID of the user who created the credit note
currencystringOptional<=5 characters
The currency code
currency_exchangeobjectOptional
descriptionstringOptional<=255 characters
Description of the credit note
document_idstringOptional<=255 characters
The credit note's unique document number
file_idstringOptionalformat: "uuid"
The id of the credit note file stored in the file saver.
file_urlstringOptional
The URL of the credit note file stored in the file saver.
issued_atstringOptionalformat: "date"
Date when the credit note was issued
ocr_request_idstringOptionalformat: "uuid"
ID of the OCR processing request
ocr_statusstringOptional<=10 characters
Status of OCR processing
project_idstringOptionalformat: "uuid"
ID of the associated project
senderstringOptional<=255 characters
Email address of the sender
subtotalintegerOptional
The subtotal amount before taxes
tagslist of objectsOptional
List of tags associated with this credit note
taxintegerOptional
The tax percentage
tax_amountintegerOptional
The calculated tax amount
total_amountintegerOptional
The total amount including taxes

Errors

401
Patch Payable Credit Notes ID Request Unauthorized Error
403
Patch Payable Credit Notes ID Request Forbidden Error
404
Patch Payable Credit Notes ID Request Not Found Error
422
Patch Payable Credit Notes ID Request Unprocessable Entity Error
500
Patch Payable Credit Notes ID Request Internal Server Error